﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Diagnostics;

namespace checkboxes
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataContext = new MainWindowPM();
        }

        private void grid_CellActivated(object sender, Infragistics.Windows.DataPresenter.Events.CellActivatedEventArgs e)
        {
            Item currentItem = (Item)((Infragistics.Windows.DataPresenter.DataPresenterBase)(((System.Windows.RoutedEventArgs)(e)).OriginalSource)).ActiveDataItem;
            MainWindowPM mainWindowPM = (MainWindowPM)((Infragistics.Windows.DataPresenter.DataPresenterBase)(((System.Windows.RoutedEventArgs)(e)).OriginalSource)).DataContext;
            if (e.Cell.Field.Name == "Name")
            {
                mainWindowPM.CurrentItem = currentItem;
            }

            Debug.WriteLine("grid_CellActivated");
        }
    }
}
